<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <div class="row">
            <div class="col-md-6 col-md-offset-3">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:param name="styleClass" value="panel-info"/>
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.assertion-manager.NewScope_2']}
                    </ui:define>
                    <h:form id="globalform">
                        <s:token allowMultiplePosts="true"/>

                        <s:decorate id="keywordDeco" template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.Keyword']}
                            </ui:define>
                            <ui:param name="id" value="scopeKey"/>
                            <h:inputText id="scopeKey" maxlength="32" size="32" styleClass="form-control"
                                         value="#{assertionScopeManager.selectedScope.keyword}"
                                         required="true">
                            </h:inputText>
                        </s:decorate>

                        <s:decorate id="descDeco" template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}
                            </ui:define>
                            <h:inputTextarea rows="4" cols="160" styleClass="form-control"
                                             value="#{assertionScopeManager.selectedScope.description}">
                            </h:inputTextarea>
                        </s:decorate>

                        <a4j:commandButton id="editScopePanelButton" rendered="#{s:hasRole('admin_role')}"
                                           value="#{messages['gazelle.simulator.Save']}"
                                           styleClass="gzl-btn-blue" style="width: 100px;"
                                           action="#{assertionScopeManager.create()}"
                                           render="globalform,assertionsForm"/>
                        <h:commandLink value="#{messages['users.Cancel']}" styleClass="gzl-btn"
                                       onclick="window.history.go(-1); return false;"/>
                    </h:form>
                </ui:decorate>
            </div>
        </div>
    </ui:define>
</ui:composition>
